<?php
namespace Teknisa\CADEST\Controllers;

use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO\Request\Row;
use Zeedhi\Framework\DTO\Response;
use Teknisa\CADEST\Services\ProdTreeGroup as ProdTreeGroupService;

class ProdTreeGroup {

    protected $ProdTreeGroupService;

    function __construct(ProdTreeGroupService $ProdTreeGroupService) {
        $this->ProdTreeGroupService = $ProdTreeGroupService;
    }

    public function getAllGroupsByParents(Row $request, Response $response) { 
        $row = $request->getRow();

        $newRow = array();
        foreach ($row as $value) {
            $newRow[] = $value;
        }
        
        $rowToBack = $this->ProdTreeGroupService->getAllGroupsByParents($newRow);

        $response->addDataSet(new DataSet('all_groups', $rowToBack));
    }

}